Summary:	QMPDClient is an easy to use MPD client written in Qt 4
Summary(hu.UTF-8):	QMPDClient egy könnyen használható Qt4-alapú MPD kliens
Name:		qmpdclient
Version:	1.2.2
Release:	2
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://dump.bitcheese.net/files/%{name}-%{version}.tar.bz2
# Source0-md5:	d96c4b0c8fc118ebc9de7b2b445e0bbb
Source1:	%{name}.desktop
URL:		http://bitcheese.net/wiki/QMPDClient
BuildRequires:	QtGui-devel
BuildRequires:	libpng-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QMPDClient is an easy to use MPD client written in Qt 4.

%description -l hu.UTF-8
QMPDClient egy könnyen használható Qt4-alapú MPD kliens

%prep
%setup -q -n %{name}
%{__sed} -i "s@qmpdclient64.png@qmpdclient.png@" qmpdclient.desktop
sed -i "s@usr/local@usr@g" qmpdclient.pro

%build
qmake-qt4
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install %{name} $RPM_BUILD_ROOT%{_bindir}

for i in 16 22 48 64; do
	install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps
	install icons/${i}x${i}/*.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps
done
install -d $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%doc AUTHORS Changelog README THANKSTO
%{_iconsdir}/hicolor/*/apps/*.png
%{_desktopdir}/%{name}.desktop
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qmpdclient.git;a=log;h=master

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> d4416b5
- release 2 (by relup.sh)

* Sun Nov 13 2011 Zsolt Udvari <uzsolt@pld-linux.org> d4e70b9
- 1.2.2

* Sun Feb 06 2011 sparky <sparky@pld-linux.org> 5816aae
- unified preamble in %changelog

* Fri Oct 30 2009 Zsolt Udvari <uzsolt@pld-linux.org> abb5f68
- use own desktop file
- rel 2

* Fri Oct 30 2009 Zsolt Udvari <uzsolt@pld-linux.org> 1f5878a
- initial

* Mon Jan 26 2009 Paweł Gołaszewski <blues@pld-linux.org> 49ffb92
- rel.2

* Fri Sep 26 2008 Paweł Sikora <pluto@pld-linux.org> 0338804
- BR:qt4-build, don't own shared icons dir.
  TODO: fix cxxflags.

* Tue Sep 09 2008 Zsolt Udvari <uzsolt@pld-linux.org> 1ea1154
- release 1

* Wed Aug 13 2008 Zsolt Udvari <uzsolt@pld-linux.org> f56ff61
- initial

